.cc-window {
    opacity: 1;
    transition: opacity 1s ease;
}
.cc-window.cc-invisible {
    opacity: 0;
}
.cc-animate.cc-revoke {
    transition: transform 1s ease;
}
.cc-animate.cc-revoke.cc-top {
    transform: translateY(-2em);
}
.cc-animate.cc-revoke.cc-bottom {
    transform: translateY(2em);
}
.cc-animate.cc-revoke.cc-active.cc-bottom,
.cc-animate.cc-revoke.cc-active.cc-top,
.cc-revoke:hover {
    transform: translateY(0);
}
.cc-grower {
    max-height: 0;
    overflow: hidden;
    transition: max-height 1s;
}
.cc-link,
.cc-revoke:hover {
    text-decoration: underline;
}
.cc-revoke,
.cc-window {
    position: fixed;
    overflow: hidden;
    box-sizing: border-box;
    font-size: 16px;
    line-height: 1.5em;
    display: flex;
    flex-wrap: nowrap;
    z-index: 9999;
}
.cc-window.cc-static {
    position: static;
}
.cc-window.cc-floating {
    padding: 2em;
    max-width: 24em;
    flex-direction: column;
}
.cc-window.cc-banner {
    width: 100%;
    padding: 0.5em 1em;
    flex-direction: row;
}
.cc-revoke {
    padding: 0.5em;
}
.cc-header {
    font-size: 18px;
    font-weight: 700;
}
.cc-btn,
.cc-close,
.cc-link,
.cc-revoke {
    cursor: pointer;
    border-radius: 0;
}
.cc-link {
    opacity: 0.8;
    display: inline-block;
    padding: 0.2em;
}
.cc-link:hover {
    opacity: 1;
}
.cc-link:active,
.cc-link:visited {
    color: initial;
}
.cc-btn {
    display: block;
    padding: 0.75em 2.25em !important;
    font-size: 0.9em;
    font-weight: 600;
    border-width: 2px;
    border-style: solid;
    text-align: center;
    white-space: nowrap;
}
.cc-banner .cc-btn:last-child {
    min-width: 140px;
}
.cc-highlight .cc-btn:first-child {
    background-color: transparent;
    border-color: transparent;
}
.cc-highlight .cc-btn:first-child:focus,
.cc-highlight .cc-btn:first-child:hover {
    background-color: transparent;
    text-decoration: underline;
}
.cc-close {
    display: block;
    position: absolute;
    top: 0.5em;
    right: 0.5em;
    font-size: 1.6em;
    opacity: 0.9;
    line-height: 0.75;
}
.cc-close:focus,
.cc-close:hover {
    opacity: 1;
}
.cc-revoke.cc-top {
    top: 0;
    left: 3em;
    border-bottom-left-radius: 0.5em;
    border-bottom-right-radius: 0.5em;
}
.cc-revoke.cc-bottom {
    bottom: 0;
    left: 3em;
    border-top-left-radius: 0.5em;
    border-top-right-radius: 0.5em;
}
.cc-revoke.cc-left {
    left: 3em;
    right: unset;
}
.cc-revoke.cc-right {
    right: 3em;
    left: unset;
}
.cc-top {
    top: 1em;
}
.cc-left {
    left: 1em;
}
.cc-right {
    right: 1em;
}
.cc-bottom {
    bottom: 0;
}
.cc-floating > .cc-link {
    margin-bottom: 1em;
}
.cc-floating .cc-message {
    margin-bottom: 1em;
    display: block;
}
.cc-window.cc-floating .cc-compliance {
    flex: 1;
}
.cc-window.cc-banner {
    align-items: center;
}
.cc-banner.cc-top {
    left: 0;
    right: 0;
    top: 0;
}
.cc-banner.cc-bottom {
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9999999999 !important;
}
.cc-banner .cc-message {
    padding: 0.5em;
    flex: 1;
    font-size: 0.9em;
}
.cc-compliance {
    display: flex;
    align-items: center;
    align-content: space-between;
}
.cc-compliance > .cc-btn {
    flex: 1;
}
.cc-btn + .cc-btn {
    margin-left: 0.5em;
}
.cc-message {
    color: var(--pas-text2);
}
.cc-btn {
    color: #fff !important;
    text-decoration: none !important;
    border-radius: 2px !important;
    background-color: var(--pas-red) !important;
    border: var(--pas-red) 1px solid;
}
.cc-btn:hover {
    color: #fff !important;
    background-color: var(--pas-red-hov) !important;
    border: var(--pas-red-hov) 1px solid;
}
.cc-btn > svg {
    display: none;
}

@media (max-width: 575.98px) {
    .cc-window.cc-floating {
        width: 100% !important;
        padding: 1em !important;
    }
    .cc-floating .cc-message {
        font-size: 0.8rem !important;
    }
}

@media (min-width: 576px) and (max-width: 767.98px) {
    .cc-window.cc-floating {
        width: 100% !important;
        padding: 1em !important;
    }
    .cc-floating .cc-message {
        font-size: 0.8rem !important;
    }
}
